Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class ComboDownButton

    java.lang.Object
      org.richfaces.resource.AbstractJava2DUserResource
          org.richfaces.renderkit.html.images.ComboDownButton

All Implemented Interfaces:
  org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

    public class ComboDownButton

extends org.richfaces.resource.AbstractJava2DUserResource
implements org.richfaces.resource.StateHolderResource

Constructor Summary
`ComboDownButton()`

Method Summary
`void` | `initialize()`
`boolean` | `isTransient()`
`void` | `paint(Graphics2D graphics2d)`
`void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
`void` | `setDisabled(boolean disabled)`
`void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource
`getDimension, getImageType, getLastModified, getResponseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComboDownButton

    public ComboDownButton()

Method Detail

### initialize

    public final void initialize()

### setDisabled

    public void setDisabled(boolean disabled)

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `org.richfaces.resource.StateHolderResource`

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           DataOutput dataOutput)
                    throws IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `IOException`

### readState

    public void readState(javax.faces.context.FacesContext context,
                          DataInput dataInput)
                   throws IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `IOException`

### paint

    public void paint(Graphics2D graphics2d)

  Specified by:
    `paint` in interface `org.richfaces.resource.Java2DUserResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.